centos中安装高版本cmake

在ViaualGDB中使用CMake时,提示centos 2.8低了

先卸载老版本:

yum -y remove cmake

前往https://cmake.org/download/ 获取最新版本链接,

下载

wget https://cmake.org/files/v3.11/cmake-3.11.3.tar.gz

解压缩包

tar xvf cmake-3.11.3.tar.gz

进入解压后的路径

cd cmake-3.11.3

使用GNU Make编译安装

./bootstrap
gmake
gmake install

安装完后cmake路径为:/usr/local/bin/cmake

将此路径软连接至默认程序路径:/usr/bin

ln -s /usr/local/bin/cmake /usr/bin/

ok,完成,查看版本

cmake --version

参考自:https://blog.csdn.net/jiang_xinxing/article/details/77945478

发表评论

电子邮件地址不会被公开。